Bug 438759 - gfs2_tool: 'counters' command calls unimplemented counters
Summary: gfs2_tool: 'counters' command calls unimplemented counters
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: gfs2-utils
Version: 5.3
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Abhijith Das
QA Contact: GFS Bugs
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-03-24 21:44 UTC by Abhijith Das
Modified: 2010-01-12 03:40 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2009-01-20 20:52:13 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2009:0087 normal SHIPPED_LIVE gfs2-utils bug-fix update 2009-01-20 16:04:24 UTC

Description Abhijith Das 2008-03-24 21:44:53 UTC
Description of problem:
All but one of the counters in gfs2 have been ripped out, but 'gfs2_tool
counters' still references some of them that don't exist.
When invoked:

[root@niobe-02 ~]# gfs2_tool counters /mnt/brawl/
gfs2_tool: can't open /sys/fs/gfs2/niobe:gfs2/counters/glock_count: No such file
or directory

Until we figure out the right way to show these counters, gfs2_tool must not crash.

Comment 1 Steve Whitehouse 2008-03-31 15:34:15 UTC
Do we really need this feature anyway, why not just remove it? Most of the
answers can be gained via /proc/slabinfo.


Comment 2 Abhijith Das 2008-04-07 06:32:35 UTC
checked in fix to MAIN, STABLE2 and RHEL5 to remove the counters command
entirely from gfs2_tool.

Comment 6 errata-xmlrpc 2009-01-20 20:52:13 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0087.html


Note You need to log in before you can comment on or make changes to this bug.